#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityDBFHandbookCFGData
{
	//编号
	int mID;
	//图鉴类型
	int mHandbookType;
	//图鉴名称
	std::string mHandbookName;
	//道具ID
	int mItemId;
	//图鉴资源
	std::string mHandbookResource;
	//图鉴奖励
	int mHandbookReward;
	//图鉴奖励数量
	int mHandbookQuantity;
	//重复图鉴奖励
	int mRepeatReward;
	//重复图鉴奖励数量
	int mRepeatQuantity;
	//抽奖权重
	int mLotteryWeight;
};

class M_ActivityDBFHandbookCFG
{
public:
private:
	static std::auto_ptr<M_ActivityDBFHandbookCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityDBFHandbookCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityDBFHandbookCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityDBFHandbookCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityDBFHandbookCFGData> mMapData;
};
